=== add_ons/albertasystems/DX/2d/Makefile ===
#!make

all: objs

DEBUG=1
ALBERTA_VERSION=2.0

# Compiler options
include ../../Make.opt

########################################################################
#   DFLAGS: DIM, DIM_OF_WORLD                                          #
########################################################################
DIM = 2
DIM_OF_WORLD = 2
NEIGH_IN_EL = 0

# get installation details

include ../../AlbertaNum/Makefile.PATHS
ifeq ($(ALBERTA_VERSION), 2.0)
  include $(prefix)/libexec/alberta-20070801-1956/Makefile.alberta
#  include $(prefix)/share/alberta2/Makefile.alberta
# alberta 1 kompatibilitt
  DFLAGS += -DDIM=$(DIM) -DALBERTA_VER=2
else
  include $(ALBERTA_INCLUDE_PATH)/Makefile.alberta
endif

# add netcdf PATHS
LDFLAGS += $(NCDFFLAGS)
########################################################################
#  modify default settings -- always use CXX
LD = g++

%.o: %.c
	$(CXX) $(DFLAGS) $(CPPFLAGS) $(CXXFLAGS) -I$(NCDF_INCLUDE_PATH) -I$(ALBERTA_INCLUDE_PATH) -c $<
%.o: %.cc
	$(CXX) $(DFLAGS) $(CPPFLAGS) $(CXXFLAGS) -I$(NCDF_INCLUDE_PATH) -I$(ALBERTA_INCLUDE_PATH) -c $<

########################################################################
#   set virtual path                                                   #
########################################################################
VPATH = ../Common

prgs:

objs: dxexport.o
clean:
	rm -f *.o core*

.PHONY: all prgs objs clean

########################################################################
# semi-automatically generated by g++ -MM			       #
########################################################################
