=== debian/control ===
Source: alberta
Section: libs
Priority: optional
Standards-Version: 4.4.1
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>
Vcs-Browser: https://salsa.debian.org/science-team/alberta
Vcs-Git: https://salsa.debian.org/science-team/alberta.git
Homepage: http://www.alberta-fem.de/
Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config (>= 0.28),
 clang [powerpc ppc64 ppc64el]
Rules-Requires-Root: no

Package: libalberta-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libalberta4 (= ${binary:Version})
Breaks: libalberta2-dev (<< 3)
Replaces: libalberta2-dev (<< 3)
Description: adaptive finite element library (development files)
 ALBERTA is an adaptive finite element library for solving partial
 differential equations (PDEs).
 .
 It offers a hierarchical mesh and methods for 1d, 2d and 3d stationary
 as well as time dependent problems. It is written in C with speed and
 flexibility in mind.
 .
 This package contains the development files.

Package: libalberta4
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: adaptive finite element library (library)
 ALBERTA is an adaptive finite element library for solving partial
 differential equations (PDEs).
 .
 It offers a hierarchical mesh and methods for 1d, 2d and 3d stationary
 as well as time dependent problems. It is written in C with speed and
 flexibility in mind.
 .
 This package contains the shared library.
