## alberta 3.0.3

=== debian/changelog ===
alberta (3.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream: Uni Stuttgart's GitLab
  * Update to debhelper-compat 12

  [ Tiago Stürmer Daitx ]
  * Fix FTBFS (Closes: #980015):
    - debian/control: add libtirpc-dev to bdeps.
    - debian/patches/001-autoconf-check-libtirpc.patch: check for
      libtirpc in configure.ac.
    - debian/rules: include tirpc in cflags.

 -- Bastian Germann <bage@debian.org>  Fri, 22 Oct 2021 13:49:17 +0200
