=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
 Vcs-Browser: https://salsa.debian.org/science-team/alberta
 Vcs-Git: https://salsa.debian.org/science-team/alberta.git
 Homepage: http://www.alberta-fem.de/
-Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config (>= 0.28),
- clang [powerpc ppc64 ppc64el]
+Build-Depends: debhelper-compat (= 12), pkg-config (>= 0.28),
+ clang [powerpc ppc64 ppc64el], libtirpc-dev
 Rules-Requires-Root: no
 
 Package: libalberta-dev
