=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #! /usr/bin/make -f
+
+export DEB_CFLAGS_MAINT_APPEND = -I/usr/include/tirpc
 
 CONFIGURE_FLAGS := \
 	--disable-fem-toolbox \
@@ -16,7 +18,7 @@
 endif
 
 %:
-	dh $@ --parallel --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
