=== debian/watch ===
version=4
https://gitlab.mathematik.uni-stuttgart.de/ians-nmh/alberta/alberta3/-/tags?sort=updated_desc .*/alberta3-releases-([\d\.]+)\.tar\.(?:xz|bz2|gz)
