## alberta 3.1.1

=== debian/changelog ===
alberta (3.1.1-3) unstable; urgency=medium

  * Team upload.
  * Release to unstable to start transition
  * Backported removal of memory statistics to fix hurd builds.
  * New upstream release
  * d/watch: Reflect relocation of repo to gitlab.com
  * d/control: Bumped Standards-Verion to 4.7.0
  * d/rules: Use autoreconf with shipped script to built from git tarball
  * d/patches: Drop patches that are not relevant for upstream anymore.
  * d/copright: Updated copyright holders
  * Renamed library to reflect bumped soversion 5.0.0.
  * Added Markus as additional uploader with consent of Ansgar.
  * Dropped debian/libalberta5.lintian-overrides
  * Include architecture.mk instead of setting DEB_HOST_ARCH

  [ Pierre Gruet ]
  * Adding the text of the LPPL license in d/copyright

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 20 Feb 2025 14:28:54 +0100

alberta (3.1.1-2) experimental; urgency=medium

  * Backported removal of memory statistics to fix hurd builds.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 17 Feb 2025 09:10:51 +0100

alberta (3.1.1-1) experimental; urgency=medium

  * New upstream release
  * d/watch: Reflect relocation of repo to gitlab.com
  * d/control: Bumped Standards-Verion to 4.7.0
  * d/rules: Use autoreconf with shipped script to built from git tarball
  * d/patches: Drop patches that are not relevant for upstream anymore.
  * d/copright: Updated copyright holders
  * Renamed library to reflect bumped soversion 5.0.0.
  * Added Markus as additional uploader with consent of Ansgar.
  * Dropped debian/libalberta5.lintian-overrides
  * Include architecture.mk instead of setting DEB_HOST_ARCH

  [ Pierre Gruet ]
  * Adding the text of the LPPL license in d/copyright

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 18 Oct 2024 23:53:18 +0200

alberta (3.0.3-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS (Closes: #1060076)
    - Ported two upstream patches to Debian
  * Use -gdwarf-4 compile flags to prevent failing builds with
    clang, e.g. on ppc64el (dwz "Unknown debugging section .debug_addr")

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 11 Mar 2024 20:18:20 +0100

alberta (3.0.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061883

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 00:40:45 +0000
