=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: alberta
 Section: libs
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.7.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar Burchardt <ansgar@debian.org>
+Uploaders: Ansgar Burchardt <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/alberta
 Vcs-Git: https://salsa.debian.org/science-team/alberta.git
 Homepage: http://www.alberta-fem.de/
-Build-Depends: debhelper-compat (= 12), pkg-config (>= 0.28),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), pkgconf,
  clang [powerpc ppc64 ppc64el], libtirpc-dev
 Rules-Requires-Root: no
 
@@ -15,7 +15,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libalberta4 (= ${binary:Version})
+Depends: ${misc:Depends}, libalberta5 (= ${binary:Version})
 Breaks: libalberta2-dev (<< 3)
 Replaces: libalberta2-dev (<< 3)
 Description: adaptive finite element library (development files)
@@ -28,7 +28,7 @@
  .
  This package contains the development files.
 
-Package: libalberta4
+Package: libalberta5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
