=== debian/watch ===
version=4
opts="searchmode=plain,\
filenamemangle=s%.*?/@PACKAGE@3-v@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
https://gitlab.com/alberta-fem/alberta3/tags?sort=updated_desc -/archive/v?\d[\d.]+/alberta3-v@ANY_VERSION@@ARCHIVE_EXT@
